<?php

declare(strict_types=1);


use App\Settings;
use DI\ContainerBuilder;
use Psr\Container\ContainerInterface;

return function (Settings $settings = new Settings()): ContainerInterface {
    $containerBuilder = new ContainerBuilder();

    $containerBuilder->addDefinitions([
        Settings::class => $settings,
    ]);
    // Define container entries
    $containerBuilder->addDefinitions(
        require __DIR__ . '/definitions.php',
    );



    return $containerBuilder->build();
};
